.admin-sidebar, .user-sidebar{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    width: 100%;
    max-width: 100%;
    height: auto;
    justify-content:flex-start;
    align-items: center;
    margin: 1rem 0;
    font-size: 16px;
}
.user-sidebar{
    justify-content: space-between;
}

.admin-content > h1 {
    text-align: center;
}

.admin-content {
    width: 100%;
}

.admin-container {
    max-width: 90%;
}

.admin-button {
    min-width: 80px;
    width: fit-content;
    min-height: 35px;
    border-radius: 10px;
    font-size: 16px;
    display: flex;
    align-items: center; 
    justify-content: center; 
    text-decoration: none;
    padding: 5px;

    margin: 5px;
}

.admin-sidebar > .admin-button,
.user-sidebar > .admin-button {
    min-width: 130px;
}

.site-create-speciality {
    display: flex;
}

.admin-panel-button {
    position: fixed;
    top: 20px;
    right: 20px;
    z-index: 1000; 
}

.admin-input {
    border-radius: 10px;
    font-size: 14px;
}

.mail-modal,
.comment-modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgb(0,0,0);
    background-color: rgba(0,0,0,0.4);
    padding-top: 60px;
}

.mail-modal-content,
.comment-modal-content {
    font-size: 16px;
    border-radius: 20px;
    background-color: #fefefe;
    margin: 5% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 30%;
}

.mail-close,
.comment-close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.mail-close:hover,
.mail-close:focus,
.comment-close:hover,
.comment-close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

.mail-modal-textarea,
.comment-modal-textarea {
    border: lightgray solid 1px;
    border-radius: 10px;
    resize: none;
    width: 100%;
    padding: 10px;
}

.comment-btn {
    text-decoration: underline;
    color: blue;
    cursor: pointer;
}

.comment-btn:hover {
    color: darkblue;
}

.site-create-feedback > .row {
    overflow-y: clip;
    overflow-x: auto;
    transform: rotate(180deg); /* Переносит полосу прокрутки наверх страницы */
}
.site-create-feedback > .row > div {
    transform: rotate(-180deg); 
}

.pagination{
    justify-content: center;
    position: relative;
}
.message-modal{
    margin: 1rem 0 !important;
}
